KIP People API (Public)

UpdateUserPreferences

Update a user’s preferences filtered by type

patch

Path Parameters

userIdstring(uuid)required

Body

application/json
idstring(uuid)required
valuebooleanrequired

Response

application/json

The request has succeeded.

The request has succeeded.

datastring(uuid)required
linksarray[object]required
Show Child Parameters
patch/users/{userId}/profile/preferences

Body

{ "id": "id", "value": false }
 
application/json

GetUserStudentInformation

Get a user’s student information

get

Path Parameters

userIdstring(uuid)required

Response

application/json

The request has succeeded.

Models.Responses.UserStudentInformationListResponse

The request has succeeded.

dataarray[object]required
Show Child Parameters
metaobject
Show Child Parameters
linksarray[object]required
Show Child Parameters
get/users/{userId}/profile/student-information
 
application/json

GetUserCurrentStudentInformation

Get a user’s student information for a academic specified year

get

Path Parameters

userIdstring(uuid)required
yearstring(iso-year)required

Year format (YYYY)

Example:2026

Response

application/json

The request has succeeded.

Models.Responses.UserStudentInformationResponse

The request has succeeded.

dataobjectrequired
Show Child Parameters
linksarray[object]required
Show Child Parameters
get/users/{userId}/profile/student-information/{year}
 
application/json

AddUserCurrentStudentInformation

Add a user’s student information for a specific academic year

post

Path Parameters

userIdstring(uuid)required
yearstring(iso-year)required

Year format (YYYY)

Example:2026

Body

application/json

Models.StudentInformation

schoolIdstringrequired

The unique identifier of the school the student is enrolled in. Can be obtained from the /metadata/users/school-options endpoint.

studyLevelstringrequired

The study level of the student. Can be obtained from the /metadata/users/study-level-options endpoint.

academicYearstringrequired

The academic year of the student.

lastYearbooleanrequired

Indicates if the student is in their last year.

Response

application/json

The request has succeeded.

The request has succeeded.

datastring(uuid)required
linksarray[object]required
Show Child Parameters
post/users/{userId}/profile/student-information/{year}

Body

{ "schoolId": "schoolId", "studyLevel": "studyLevel", "academicYear": "academicYear", "lastYear": false }
 
application/json

UpdateUserCurrentStudentInformation

Update a user’s student information for a specific academic year

put

Path Parameters

userIdstring(uuid)required
yearstring(iso-year)required

Year format (YYYY)

Example:2026

Body

application/json

Models.StudentInformation

schoolIdstringrequired

The unique identifier of the school the student is enrolled in. Can be obtained from the /metadata/users/school-options endpoint.

studyLevelstringrequired

The study level of the student. Can be obtained from the /metadata/users/study-level-options endpoint.

academicYearstringrequired

The academic year of the student.

lastYearbooleanrequired

Indicates if the student is in their last year.

Response

The request has succeeded.

put/users/{userId}/profile/student-information/{year}

Body

{ "schoolId": "schoolId", "studyLevel": "studyLevel", "academicYear": "academicYear", "lastYear": false }